View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17754Feature requestsTheme editorpublic2021-12-02 14:23
ReporterTonisOrmisson Assigned ToTonisOrmisson  
PrioritynoneSeverityfeature 
Status assignedResolutionopen 
Summary17754: Inject questionAttributes to short free question twig views
DescriptionFirst of - in a broader view I think each question template view should have access to relevant question attributes.

I need to tweak the numbers_only fields appearance, so questionAttributes should be accessible to short free text views.

TagsNo tags attached.
Bug heat8

Relationships

related to 14228 confirmedgalads Survey and Question Theme need more information 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

TonisOrmisson

TonisOrmisson

2021-11-23 11:54

developer   ~67496

https://github.com/LimeSurvey/LimeSurvey/pull/2151
DenisChenu

DenisChenu

2021-11-23 12:44

developer   ~67499

Last edited: 2021-11-23 15:38

> First of - in a broader view I think each question template view should have access to relevant question attributes.

Yes : just add a function for this ? No ?
https://bugs.limesurvey.org/view.php?id=14228
https://bugs.limesurvey.org/view.php?id=14248

Else we do again and again same code …
TonisOrmisson

TonisOrmisson

2021-11-23 13:10

developer   ~67500

Last edited: 2021-11-23 15:38

I am quoting you from 15814 : "14228 is better , but more time to do ?" :)

what is the status of 14228?

It's just life, I need the is_numeric in short free text and it just seems more realistic to get that in a realistic time frame than realizing the whole concept of getting similar data for all questions. Surely this would be better, no question. What I did was a small addition to the current not ideal solution to have a quick result.
DenisChenu

DenisChenu

2021-11-23 13:15

developer   ~67501

Last edited: 2021-11-23 15:38

@tpartner seems to prefer an array … then need to update each question type ?

And here : you update qanda, but qanda is deprecated …
Did you test if it waork in 5.X : https://github.com/LimeSurvey/LimeSurvey/tree/master/application/core/QuestionTypes/ShortFreeText

With a new twig function : no need to update all question type …
gabrieljenik

gabrieljenik

2021-11-29 18:41

manager   ~67601

Hi All,

Is this usefull?

In the questions theme, the array question_template_attribute is available.
That allows to pickup attributes.

Are you saying that the std attributes are not available while custom are?
Is that the issue? Maybe it is a bug instead of a Feature Request?

Thanks!
image.png (25,820 bytes)   
image.png (25,820 bytes)   
image-2.png (9,451 bytes)   
image-2.png (9,451 bytes)   
gabrieljenik

gabrieljenik

2021-11-29 18:57

manager   ~67603

This is a bug.
The config.xml file for base question types are not being found as these are only searched in user themes folder and "core" themes folder.

Initially, we believe that standard question types folder should also be added as a place where to lookup for config.xml files.
Still, that may be only part of the solution, not sure if all.

Thanks!

@ollehar let me know if I should take this or not.
ollehar

ollehar

2021-12-02 13:36

administrator   ~67649

Hm, Ahmed already closed the PR tho?
ollehar

ollehar

2021-12-02 14:23

administrator   ~67654

@gabrieljenik Seems like we have a couple of issues with higher priority right now

Issue History

Date Modified Username Field Change
2021-11-23 11:52 TonisOrmisson New Issue
2021-11-23 11:52 TonisOrmisson Status new => assigned
2021-11-23 11:52 TonisOrmisson Assigned To => TonisOrmisson
2021-11-23 11:54 TonisOrmisson Note Added: 67496
2021-11-23 11:54 TonisOrmisson Bug heat 0 => 2
2021-11-23 12:44 DenisChenu Note Added: 67499
2021-11-23 12:44 DenisChenu Bug heat 2 => 4
2021-11-23 12:45 DenisChenu Relationship added related to 14228
2021-11-23 13:10 TonisOrmisson Note Added: 67500
2021-11-23 13:15 DenisChenu Note Added: 67501
2021-11-29 18:41 gabrieljenik Note Added: 67601
2021-11-29 18:41 gabrieljenik File Added: image.png
2021-11-29 18:41 gabrieljenik File Added: image-2.png
2021-11-29 18:41 gabrieljenik Bug heat 4 => 6
2021-11-29 18:57 gabrieljenik Note Added: 67603
2021-12-02 13:36 ollehar Note Added: 67649
2021-12-02 13:36 ollehar Bug heat 6 => 8
2021-12-02 14:23 ollehar Note Added: 67654